.bonus-task {
    position: relative;
    background: white;
    border-radius: rem(22);
    border: 1px solid #D7EEDF;

    &--highlighted {
        border-color: var(--green);

        &:before {
            top: -4px;
            left: -4px;
            color: white;
            width: 20px;
            height: 20px;
            content: '!';
            font-weight: 600;
            font-size: 12px;
            line-height: 12px;
            text-align: center;
            border-radius: 50%;
            position: relative;
            background: var(--green);
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }

    &__header {
        cursor: pointer;
        padding: rem(16);
        position: relative;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        row-gap: rem(16);
        column-gap: rem(16);
    }

    &__tag {
        white-space: nowrap;
        color: var(--rose);
        height: rem(24);
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(18);
        border-radius: rem(20);
        padding: 0 rem(20);
        text-transform: uppercase;
        border: 1px solid var(--rose);
        font-family: var(--font-secondary);
        display: flex;
        align-items: center;
        justify-content: center;

        &--rose {
            color: white;
            background: var(--rose);
        }

        &--green {
            color: white;
            background: var(--green);
            border-color: var(--green);
        }

        &--gray {
            color: white;
            background: var(--gray);
            border-color: var(--gray);
        }

        &--error {
            color: white;
            background: var(--red);
            border-color: var(--red);
        }
    }

    &__title {
        color: black;
        font-weight: 500;
        font-size: rem(17);
        line-height: rem(18);
        font-family: var(--font-secondary);
    }

    &__arrow {
        top: rem(16);
        right: rem(14);
        font-size: 0;
        line-height: 0;
        width: rem(24);
        height: rem(24);
        stroke: #85959E;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            display: block;
            width: rem(24);
            height: rem(24);
            flex-shrink: 0;
            transform: rotate(0deg);
            transition: var(--transition-time);
        }
    }

    &__content {
        padding: 0 rem(16);
        overflow: hidden;
    }

    &__question {
        font-size: rem(15);
        line-height: 140%;

        p {
            margin-bottom: rem(16);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__wrap {
        padding: rem(16) 0;
    }

    &__body {
        margin-top: rem(28);
        display: flex;
        flex-direction: column;
        row-gap: rem(16);
    }

    &__field {
        display: block;
        width: 100%;
        border: none;
        color: black;
        outline: none;
        height: rem(35);
        vertical-align: middle;
        background: transparent;
        padding: rem(4) 0;
        font-weight: 400;
        font-size: rem(17);
        line-height: rem(26);
        border-bottom: 1px solid #85959E;
        @include placeholder(#85959E);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }
    }

    &__action {
    }

    &__send {
        display: flex;
        flex-direction: column;
    }

    &__message {
        color: var(--green);
        text-align: center;
        margin-top: rem(28);
        padding: rem(16);
        font-weight: 500;
        font-size: rem(15);
        line-height: 1.5;
        min-height: rem(102);
        border-radius: rem(12);
        background: var(--gray-200);
        display: flex;
        align-items: center;
        justify-content: center;

        &--success {
            background: rgba(0, 153, 84, 0.2);
        }

        &--error {
            color: var(--red);
            background: rgba(252, 73, 23, 0.1);
        }
    }

    &__wrapper {
        width: 100%;
        max-width: rem(600);
    }

    &.open {

        .bonus-task {

            &__arrow {
                stroke: var(--black);

                i {
                    transform: rotate(180deg);
                    transition: var(--transition-time);
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__header {
            padding: rem(22) rem(24);
        }

        &__arrow {
            top: rem(22);
        }

        &__content {
            padding: 0 rem(24);
        }

        &__wrap {
            padding: rem(16) 0 rem(36) 0;
        }

        &__question {
            font-size: rem(16);
            line-height: 1.5;
        }

        &__message {
            font-size: rem(17);
        }

        &__send {
            flex-direction: row;
            padding-top: rem(16);

            .btn {
                min-width: rem(224);
            }
        }

        &__field {

        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            min-height: rem(80);
            align-items: center;
            flex-direction: row-reverse;
            padding: rem(22) rem(94) rem(22) rem(24);
        }

        &__title {
            flex-grow: 1;
        }

        &__arrow {
            top: calc(50% - 28px);
            right: rem(14);
            width: rem(56);
            height: rem(56);
            border-radius: rem(12);
            background: var(--gray-200);
        }

    }
}
